> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/devices/{deviceId}/dhcp-server/leases > Get current DHCP leases for a device ## OpenAPI ````json GET /v1/devices/{deviceId}/dhcp-server/leases { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/devices/{deviceId}/dhcp-server/leases": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesDeviceIdDhcpServerLeasesGetResponse" } } } } }, "description": "Get current DHCP leases for a device" } } }, "components": { "schemas": { "v1DevicesDeviceIdDhcpServerLeasesGetResponse": { "type": "object", "properties": { "pools": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2DhcpServerPool" } } }, "additionalProperties": false }, "manaV2DhcpServerPool": { "type": "object", "properties": { "defaultLeaseTimeSecs": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "description": { "type": "string", "example": "example string" }, "domainName": { "type": "string", "example": "example string" }, "gateway": { "type": "string", "example": "example string" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "interface": { "type": "string", "example": "example string" }, "ipPrefix": { "type": "string", "example": "example string" }, "ipVersion": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "leases": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2DhcpLease" } }, "maxLeaseTimeSecs": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "minLeaseTimeSecs": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "name": { "type": "string", "example": "example string" }, "nameservers": { "$ref": "#/components/schemas/manaV2DnsServers" }, "ranges": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2DhcpServerIpRange" } }, "staticLeases": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2DhcpStaticLease" } }, "totalAddresses": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0 }, "utilization": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2DhcpLease": { "type": "object", "properties": { "endsAt": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "ipAddress": { "type": "string", "example": "example string" }, "macAddress": { "type": "string", "example": "example string" }, "vrf": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2DnsServers": { "type": "object", "properties": { "primary": { "type": "string", "example": "example string" }, "secondary": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2DhcpServerIpRange": { "type": "object", "properties": { "end": { "type": "string", "example": "example string" }, "start": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2DhcpStaticLease": { "type": "object", "properties": { "hostname": { "type": "string", "example": "example string" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "ipAddress": { "type": "string", "example": "example string" }, "macAddress": { "type": "string", "example": "example string" }, "vrf": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````